Bug 783851 - Xen submenu unchanged after kernel upgrade
Xen submenu unchanged after kernel upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-22 16:31 EST by Robin Green
Modified: 2013-02-13 16:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 912379 (view as bug list)
Environment:
Last Closed: 2013-02-13 16:14:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2012-01-22 16:31:17 EST
Description of problem:
After yum installed an updated kernel, the main grub menu was correctly updated with the new kernel, but the Xen submenu (for selecting which kernel to boot under Xen) was unchanged.

Version-Release number of selected component (if applicable):
grub2-1.99-13.fc16.x86_64

How reproducible:
Haven't tried

Steps to Reproduce:
0. yum install xen xen-hypervisor
1. yum upgrade kernel
2. reboot
3. select Xen 3.1 from grub main menu
  
Actual results:
Old menu appears with no mention of newly-installed kernel

Expected results:
Newly-installed kernel should appear in Xen submenu

Additional info:
$ rpm -q kernel
kernel-3.1.5-6.fc16.x86_64
kernel-3.1.6-1.fc16.x86_64
kernel-3.1.9-1.fc16.x86_64
Comment 1 Mads Kiilerich 2012-04-16 19:17:36 EDT
The best workaround might be to run
/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg
every time the kernel has been updated.
Comment 2 Mads Kiilerich 2012-04-30 18:53:26 EDT
Changing component - grubby is responsible for updating grub.cfg when new kernels are installed.
Comment 3 Fedora End Of Life 2013-01-16 11:58:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 16:14:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.